
Foreman - Feature #29037

Create new report template filtering Entitlements report to show subscriptions expiring $soon

02/17/2020 04:32 PM - Jeremy Lenz

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/705

  

Description

[SAT-E-459]

As a user, I want to be able to generate Entitlements report (introduced in 6.7) and filter on subscriptions and subscription

expiration date

The report should take input of a duration (# of days) and only display subscriptions expiring in that amount of time.

The report should list both expiring subscriptions and the hosts attached to them.

Associated revisions

Revision 24c2f412 - 04/22/2020 09:16 AM - Jeremy Lenz

Refs #29037 - Update report template for Entitlements Expiring Soon (#705)

History

#1 - 02/17/2020 04:53 PM - Jeremy Lenz

See https://projects.theforeman.org/issues/28968

#2 - 02/17/2020 04:56 PM - Eric Helms

- Blocks Tracker #28968: Prominent Notification of Subscription Expiring added

#3 - 02/17/2020 04:57 PM - Eric Helms

- Blocks deleted (Tracker #28968: Prominent Notification of Subscription Expiring)

#4 - 02/20/2020 10:54 AM - Ondřej Pražák

- Project changed from Templates to Foreman

- Category set to Templates

#5 - 03/10/2020 06:34 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Jeremy Lenz

- Pull request https://github.com/theforeman/community-templates/pull/705 added

#6 - 05/15/2020 03:05 PM - Jeremy Lenz

- Status changed from Ready For Testing to Closed
